# Generated by Django 2.0.1 on 2018-01-27 20:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0011_type_prefix'),
    ]

    operations = [
        migrations.CreateModel(
            name='Prefix',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=20)),
                ('activated', models.BooleanField(default=True)),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='prefixes', to='app.Type')),
            ],
        ),
        migrations.RemoveField(
            model_name='document',
            name='type',
        ),
        migrations.AlterField(
            model_name='document',
            name='client',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='app.Client'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='document',
            name='emitter',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='app.Emitter'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='document',
            name='prefix',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='app.Prefix'),
            preserve_default=False,
        ),
    ]
